HiC_HMRF_Bayes_File <-
function(file,probfile, estimatorfile,sep="\t",header=TRUE, verbose=TRUE, burnIn = 5000, iter = 5000){
HiC.Data=HiC_Prepare_Matrix(file,verbose,sep,header)
if (is.null(HiC.Data)){ print("Error in preparing matrix for HiC data"); return(NULL)}
HiC.Results=HiC_HMRF_Bayes(HiC.Data$ObservedCountMatrix, HiC.Data$ExpectedCountMatrix, burnIn, iter, verbose)
if (is.null(HiC.Results)){ print("Error in peak calling"); return(NULL)}
status=HiC_Output(HiCResults=HiC.Results,fragIDs=HiC.Data$fragIDs,probfile,estimatorfile)
print("Done...");
}
